part of 'generated.dart';

class DeleteRoleCategoryVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteRoleCategoryVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteRoleCategoryData> dataDeserializer = (dynamic json)  => DeleteRoleCategoryData.fromJson(jsonDecode(json));
  Serializer<DeleteRoleCategoryVariables> varsSerializer = (DeleteRoleCategoryVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteRoleCategoryData, DeleteRoleCategoryVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteRoleCategoryData, DeleteRoleCategoryVariables> ref() {
    DeleteRoleCategoryVariables vars= DeleteRoleCategoryVariables(id: id,);
    return _dataConnect.mutation("deleteRoleCategory", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteRoleCategoryRoleCategoryDelete {
  final String id;
  DeleteRoleCategoryRoleCategoryDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteRoleCategoryRoleCategoryDelete otherTyped = other as DeleteRoleCategoryRoleCategoryDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteRoleCategoryRoleCategoryDelete({
    required this.id,
  });
}

@immutable
class DeleteRoleCategoryData {
  final DeleteRoleCategoryRoleCategoryDelete? roleCategory_delete;
  DeleteRoleCategoryData.fromJson(dynamic json):
  
  roleCategory_delete = json['roleCategory_delete'] == null ? null : DeleteRoleCategoryRoleCategoryDelete.fromJson(json['roleCategory_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteRoleCategoryData otherTyped = other as DeleteRoleCategoryData;
    return roleCategory_delete == otherTyped.roleCategory_delete;
    
  }
  @override
  int get hashCode => roleCategory_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (roleCategory_delete != null) {
      json['roleCategory_delete'] = roleCategory_delete!.toJson();
    }
    return json;
  }

  DeleteRoleCategoryData({
    this.roleCategory_delete,
  });
}

@immutable
class DeleteRoleCategoryVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteRoleCategoryVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteRoleCategoryVariables otherTyped = other as DeleteRoleCategoryVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteRoleCategoryVariables({
    required this.id,
  });
}

